FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Terminal::EscapeSeq Class Reference

## Public Member Functions
int | defvalmax (int dval, int max) const
void | esc_mode (char val)
char | esc_mode (void) const
bool | is_csi (void) const
int | parse (char c)
bool | parse_in_progress (void) const
void | reset (void)
void | restore_cursor (int &row, int &col)
void | save_cursor (int row, int col)
int | total_vals (void) const
int | val (int i) const

## Static Public Attributes
static const int | completed = 1
static const int | fail = -1
static const int | maxbuff = 80
static const int | maxvals = 20
static const int | success = 0

The documentation for this class was generated from the following files:

- Fl_Terminal.H
- Fl_Terminal.cxx